# Define the kmod package name here.
%define kmod_name aoe
%define kmod_version 80
%define kmod_release 1%{?org_tag}%{dist}

# If kversion isn't defined on the rpmbuild line, define it here.
%{!?kversion: %{expand: %%define kversion %(uname -r)}}
# Some kernels include the arch in their uname -r output, and some don't
#%define kversion2 %(echo %{kversion} | sed 's/\.(i.86|x86_64)$//')
%define kversion2 %(echo %{kversion} | sed -e 's/\.x86_64$//' -e 's/\.i.86$//')

Summary:	%{kmod_name} kernel module
Name:		%{kmod_name}-kmod
Version:	%{kmod_version}
Release:	%{kmod_release}
License:    GPL
Group:		System Environment/Kernel
URL:        http://support.coraid.com/support/linux/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root/

Requires:   aoetools
BuildRequires: redhat-rpm-config
BuildRequires: kernel-devel = %{kversion2}
ExclusiveArch: i686 x86_64

Source0:	http://support.coraid.com/support/linux/aoe6-%{version}.tar.gz
Source10:   kmodtool-%{kmod_name}-el6.sh
Patch0:     aoe-kmod-makefile.patch

%description
Coraid ATA over Ethernet (AoE) Linux driver.

This package is built to depend upon the specific ABI provided by a range of releases
of the same variant of the Linux kernel and not on any one specific build.

# Magic hidden here.
%{expand:%(%{SOURCE10} rpmtemplate %{kmod_name} %{kversion} "")}

# Disable the building of the debug package(s).
%define debug_package %{nil}

%prep
%setup -q -n aoe6-%{version}
%patch0 -p1
echo "override %{kmod_name} * weak-updates/%{kmod_name}" > kmod-%{kmod_name}.conf

%build
%if %rhel == 5
KSRC=%{_usrsrc}/kernels/%{kversion}-%{_arch}
%else
KSRC=%{_usrsrc}/kernels/%{kversion}
%endif
#%{__make} -C "${KSRC}" %{?_smp_mflags} modules M=$PWD
%{__make} KDIR="${KSRC}" INSTDIR=/lib/modules/%{kversion}/weak-updates/%{kmod_name} %{?_smp_mflags} 

%install
export INSTALL_MOD_PATH=%{buildroot}
export INSTALL_MOD_DIR=weak-updates/%{kmod_name}
%if %rhel == 5
KSRC=%{_usrsrc}/kernels/%{kversion}-%{_arch}
%else
KSRC=%{_usrsrc}/kernels/%{kversion}
%endif
%{__make} install KDIR="${KSRC}" INSTDIR=%{buildroot}/lib/modules/%{kversion}/weak-updates/%{kmod_name}
#%{__make} -C "${KSRC}" modules_install M=$PWD
%{__install} -d %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} kmod-%{kmod_name}.conf %{buildroot}%{_sysconfdir}/depmod.d/
%{__install} -d %{buildroot}%{_defaultdocdir}/kmod-%{kmod_name}-%{version}/
# Set the module(s) to be executable, so that they will be stripped when packaged.
find %{buildroot} -type f -name \*.ko -exec %{__chmod} u+x \{\} \;
# Remove non-required files.
%{__rm} -f %{buildroot}/lib/modules/%{kversion}/modules.*

%clean
%{__rm} -rf %{buildroot}

%changelog
* Fri Jul 20 2012 Gavin Carr <gavin@openfusion.com.au> 80-1
- Update to aoe6-80.

* Thu Jan 06 2012 Gavin Carr <gavin@openfusion.com.au> 78-1
- Update to aoe6-78.

* Tue Dec 06 2011 Gavin Carr <gavin@openfusion.com.au> 77-1
- Initial version, aoe6-77.

